Transaction (Jetty :: Aggregate :: All core Jetty 7.6.8.v20121106 API)
Date: 2012-11-06

org.eclipse.jetty.plus.jndi

## Class Transaction

- java.lang.Object
- - org.eclipse.jetty.plus.jndi.NamingEntry
  - - org.eclipse.jetty.plus.jndi.Transaction

-     public class Transaction
      extends NamingEntry

  Transaction Class to represent a JTA UserTransaction impl.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `USER_TRANSACTION`

    - ### Fields inherited from class org.eclipse.jetty.plus.jndi.NamingEntry

      `__contextName, _jndiName, _namingEntryNameString, _objectNameString, _scope`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Transaction(UserTransaction userTransaction)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `bindToENC()`
    `void` | `bindToENC(String localName)` Allow other bindings of UserTransaction.
    `void` | `unbindENC()` Unbind this Transaction from a java:comp

    - ### Methods inherited from class org.eclipse.jetty.plus.jndi.NamingEntry

      `getJndiName, getJndiNameInScope, release, save, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### USER_TRANSACTION

          public static final String USER_TRANSACTION

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Transaction

          public Transaction(UserTransaction userTransaction)
                      throws NamingException

      Throws:
        `NamingException`

  - ### Method Detail

    - #### bindToENC

          public static void bindToENC()
                                throws NamingException

      Throws:
        `NamingException`

    - #### bindToENC

          public void bindToENC(String localName)
                         throws NamingException

      Allow other bindings of UserTransaction. These should be in ADDITION to java:comp/UserTransaction
      Overrides:
        `bindToENC` in class `NamingEntry`
      Throws:
        `NamingException`
      See Also:
        `NamingEntry.bindToENC(java.lang.String)`

    - #### unbindENC

          public void unbindENC()

      Unbind this Transaction from a java:comp
      Overrides:
        `unbindENC` in class `NamingEntry`

Copyright © 1995-2012 Mort Bay Consulting. All Rights Reserved.